@echo off

rem Remove the rem from the command line that you want to use and change the parameters as required.

rem Silent Install options for PAAirConfig v2.3.0.1 and newer
rem - Notes:
rem   1) The port cannot be specified. PAAirConfig.exe will search
rem      for the first connected printer that meets the requirements.
rem - Command line parameters:
rem   1) /Silent
rem      a) This command ensures that the application exits when successful
rem         or an error occurs.
rem      b) If the user interferes with PAAirConfig.exe while using this 
rem         mode, then this mode is cancelled and the user must exit the 
rem         application when finished.
rem   2) /LoadFirmware
rem      a) This command is used to indicate that firmware needs to be loaded.
rem      b) The next value after this one must include the path to 
rem         the file that needs to be loaded.
rem      c) Minimum firmware version required for this feature is v6.60.
rem      d) PAAirConfig does not check if the firmware being loaded is the 
rem         same version that is already loaded.
rem      e) The firmware file must be valid for the printer.
rem   3) /SendConfig
rem      a) This command is used to indicate that a configuration file needs
rem         to be loaded into the printer.
rem      b) The next value after this one must include the path to 
rem         the file that needs to be loaded.
rem      c) The configuration file must be valid for the printer.
rem      d) There are two different types of configuration files. The
rem         file extensions indicate the file type. 
rem         i ) EEPROM configuration file (e.g. PA_EEPROM_CFG).
rem         ii) AEA configuration file (e.g. PA_BTP_CFG).
rem - Possible Exit codes:
rem      0   - No Error, operation was a success.
rem      10  - Invalid parameters supplied.
rem      11  - Invalid file name supplied.
rem      12  - Unsupported command.
rem      20  - Operation failed. Unable to transmit to printer.
rem      21  - Device not found.

set CurrentDir=%cd%

rem Silent firmware upgrade
rem "%CurrentDir%\PAAirConfig.exe" /Silent /LoadFirmware "%CurrentDir%\F2PA1_V660BT-AG_b094.bin"

rem Silent feature to upload configuration file
rem "%CurrentDir%\PAAirConfig.exe" /Silent /Sendconfig "%CurrentDir%\PAAirConfig_Simple AEA.PA_BTP_CFG"

rem Exit Code is %errorlevel%
if %errorlevel% neq 0 (
   Echo An error has occurred.
   Echo Error number %errorlevel%
)

pause
